## ros-indigo-opencv-apps 1.12.0

=== debian/changelog ===
ros-indigo-opencv-apps (1.12.0-0trusty) trusty; urgency=high

  * [src/node/standalone_nodelet_exec.cpp.in] workaround for freezing imshow on kinetic (#67 <https://github.com/ros-perception/opencv_apps/issues/67>)
    * use ros::param::set instead of ros::NodeHandle("~"), that did not output NODELET_INFO
    * workaround for freezing imshow on kinetic
  * [launch/hough_circles.launch] Corrected a typo and applied the node_name argument (#69 <https://github.com/ros-perception/opencv_apps/issues/69> )
  * [face_recognition] add nodelet / script / message files for face recognition (new) #63 <https://github.com/ros-perception/opencv_apps/issues/63> from furushchev/face-recognition-new
    
      * add face_recognition nodelet / test
        cfg/FaceRecognition.cfg
        launch/face_recognition.launch
        scripts/face_recognition_trainer.py
        src/nodelet/face_recognition_nodelet.cpp
      * [Face.msg] add label / confidence for face recognition
      * [CMakeLists.txt] remove duplicate msg: RectArrayStamped.msg
    
  * cfg/*.cfg : Set useless use_camera_info flag to false in default (#58 <https://github.com/ros-perception/opencv_apps/issues/58> )
  * Contributors: Kei Okada, Kentaro Wada, Yuki Furuta, wangl5

 -- Kei Okada <kei.okada@gmail.com>  Thu, 13 Jul 2017 15:00:00 -0000

ros-indigo-opencv-apps (1.11.15-0trusty) trusty; urgency=high

  * New Nodes
    
      * [color_filter_nodelet.cpp] Add color_filter nodelet (#48 <https://github.com/ros-perception/opencv_apps/issues/48>)
        * use BGR2HSB, support H from 0-360 and 350 - 360+a
        * Unified hsl -> hls
        * Add hsv_color_filter test
        * Modified hls_color_filter's test paramter.  Extracting skin color.
      * [corner_harris_nodelet.cpp] Add corner-harris (#38 <https://github.com/ros-perception/opencv_apps/issues/38> )
      * [discrete_fourier_transform_nodelet.cpp] Add discrete_fourier_transform_nodelet (#36 <https://github.com/ros-perception/opencv_apps/issues/36> )
    
  * New Feature
  * Fix / Improvement
  * Contributors: Isaac I.Y. Saito, Kei Okada, Kentaro Wada, Yuki Furuta, Iori Yanokura

 -- Kei Okada <kei.okada@gmail.com>  Sat, 25 Mar 2017 15:00:00 -0000

ros-indigo-opencv-apps (1.11.14-0trusty) trusty; urgency=high

  * Force convert to bgr for display (#30 <https://github.com/ros-perception/opencv_apps/issues/30>)
    
      * add include sensor_msgs/image_encodings for old image_encodings
      * force conver to bgr8 using sensor_msgs::image_encodings::BGR8
    
  * Add more nodes from opencv sample codes
    
      * [smoothing] Add smoothing filter sample code, test, launch files (#32 <https://github.com/ros-perception/opencv_apps/issues/32>)
      * [threshold] add threshold sample code (#27 <https://github.com/ros-perception/opencv_apps/issues/27>)
      * [adding_image] add adding_image sample code (#29 <https://github.com/ros-perception/opencv_apps/issues/29>)
    
  * Add launch files for opencv_apps nodes
    
      * separate launch and test files (#20 <https://github.com/ros-perception/opencv_apps/issues/20>)
    
  * Add hydro travis testing (#22 <https://github.com/ros-perception/opencv_apps/issues/22>)
    
      * test/CMakeLists.txt : catkin_download_test_data not working with DESTINATION . for hydro
      * cv_bridge before 1.11.9 does not suport CompressedImage in cv_bridge
      * lk_flow : need to explicitly include sensor_msgs/image_endcodings.h
      * simple_compressed_example_nodelet.cpp : need to include sensor_msgs/CompressedImage explicitly on hydro
      * .travis.yml : add hydro testing
    
  * Minor Fixes
    
      * update gitignore to avoid test png data (#28 <https://github.com/ros-perception/opencv_apps/issues/28>)
      * fix  hough_circles for input frame color (#13 <https://github.com/ros-perception/opencv_apps/issues/13> )
      * CMakeLists.txt update list of opencv tutorial codes (#25 <https://github.com/ros-perception/opencv_apps/issues/25>)
      * fix face_detection.launch to accept args for cascade xml for opencv3 (#20 <https://github.com/ros-perception/opencv_apps/issues/20>)
      * CMakeLists.txt : add install rule for launch (#20 <https://github.com/ros-perception/opencv_apps/issues/20>)
      * add launch/*.launch files (from test/*.test) to reuse launch files (#20 <https://github.com/ros-perception/opencv_apps/issues/20>)
      * CMakeLists.txt: on roslaunch 1.11.1, roslaunch_add_file check fails with unsupported doc attributes (#20 <https://github.com/ros-perception/opencv_apps/issues/20>)
      * 
    
  * Add test for simple_example / simple_compressed_example (#24 <https://github.com/ros-perception/opencv_apps/issues/24>)
    
      * add retry for simple_example/simple_compressed_example test, not sure why it fails.. on travis
      * package.xml : add image_transport_plugins to test_depend for republish node in test-simple_compressed_example.test
      * add test for simple_example/simple_compressed_example
      * simple_example_nodlet.cpp / simple_compressed_example_nodelet.cpp : support debug_view param
      * .travis.sh : add catkin_test_results --verbose
    
  * Support kinetic on travis (#15 <https://github.com/ros-perception/opencv_apps/issues/15>)
    
      * test/test-face-detection.test : add haarcascade data from opencv3 package directory
      * use docekr to run trusty/xenial .travis.sh
    
  * Modified enabling use_camera_info by rosparam (#18 <https://github.com/ros-perception/opencv_apps/issues/18>)
    
      * Enabling dynamic_reconfigure in private nodelet handler
    
  * Enable to set min_distance_between_circles param, publish debug message (#14 <https://github.com/ros-perception/opencv_apps/issues/14>)
    
      * hough_circles : fix to set dp_int to dp
      * hough_circles : enable to set min_distance_between_circles
      * hough_circles : add debug_image_publisher
      * hough_circles : fix bugs on createTrackver uses gaussian_blur_size for sigma x/y
    
  * Contributors: Kei Okada, Iori Yanokura


